Author Topic: After Hours - Still no luck: "Aborted"  (Read 5636 times)

Ilici

  • Guest
After Hours - Still no luck: "Aborted"
« on: March 15, 2005, 07:17:43 pm »
I've downloaded beta5, i'm running Debian Testing.

It took me around two hours to finally fix the wxWindows install, since i tried bot the debian package and the source tarball. Then i finally got to compiling and well to fixing the errors: there were several problems with the Makefile:

1. the libraries are called libwx_gtk-<...> not libwx_gtk2-<...>. That needs to be changed.
2. in addition to libwxgtk2.4-dev, libwxgtk2.4-contrib-dev and libwxbase2.4-dev are needed. Without base you will get a linker error.
3. you need to add the base library to the library path in the make file.

Now i got it to compile, it produced codeblocks.exe and the libraries, but the update script failed. For some reason or another the script just fails.. So i tried doing everything manually, i did the zips and then copy pasted the rest into a shell. It went ok and produced and output dir with the executables and a run.sh script. Running the script ends with run.sh:

line 3: 20703 Aborted                 $APP_DIR/codeblocks.exe

So i again copy pasted from the script file into a shell. The first two commands were taken without any message and then i try to run codeblocks.exe to get the message "Aborted"!!. I really want to get this to work, i don't know how good your IDE is but i will surely feel much better to know i haven't wasted all that time for it not to work.

Anonymous

  • Guest
After Hours - Still no luck: "Aborted"
« Reply #1 on: March 15, 2005, 07:19:14 pm »
One more thing to add, i did make -f ... in the root codeblocks dir, not in src, is that a problem?

Offline mandrav

  • Project Leader
  • Administrator
  • Lives here!
  • *****
  • Posts: 4291
    • Code::Blocks IDE
After Hours - Still no luck: "Aborted"
« Reply #2 on: March 15, 2005, 08:30:44 pm »
Quote
1. the libraries are called libwx_gtk-<...> not libwx_gtk2-<...>. That needs to be changed.

No it does not. Every single time I have given information about the linux build, I have specifically noted that codeblocks works only against gtk2, which would mean libwx_gtk2-2.4.so and friends. This also explains the error you 're getting when trying to run codeblocks...

Quote
2. in addition to libwxgtk2.4-dev, libwxgtk2.4-contrib-dev and libwxbase2.4-dev are needed. Without base you will get a linker error.

This is distro-specific. When you manage to build it under debian testing, you are more than welcome to post an article in the wiki and tell us what is different for debian testing.

This week, beta6 will be released. This could be called "the Linux version". It will be the first usable linux version. Additionally I have already written a step-by-step article describing how to build codeblocks in linux (including wxGTK).
So, be patient for a couple of days, and then read the article and try to build beta6. I bet things will be easier for you now ;)

For anything else you might wanna ask, feel free to...

HTH,
Yiannis.
Be patient!
This bug will be fixed soon...

Ilici

  • Guest
After Hours - Still no luck: "Aborted"
« Reply #3 on: March 15, 2005, 11:44:17 pm »
Hi

You are indeed correct. So i've uninstalled the libwx libraries using apt and i've done a CVS checkout of the 2.5 snapshot. I just hope i can get the contrib and base sections compiled and placed in the right places.

What version of debian are you using ?

I'll be waiting for beta6 :)

Offline mandrav

  • Project Leader
  • Administrator
  • Lives here!
  • *****
  • Posts: 4291
    • Code::Blocks IDE
After Hours - Still no luck: "Aborted"
« Reply #4 on: March 15, 2005, 11:51:18 pm »
Quote
i've done a CVS checkout of the 2.5 snapshot

Code::Blocks is, currently, built against wxGTK-2.4.2...

Quote
What version of debian are you using ?

Testing :)
I also have Fedora Core 3 and SuSE 9.2. The tutorial I wrote applies to all ;)
At this moment, I 'm adding the tutorial in the wiki. Check back for it in a little while...

Yiannis.
Be patient!
This bug will be fixed soon...

Anonymous

  • Guest
After Hours - Still no luck: "Aborted"
« Reply #5 on: March 16, 2005, 08:46:12 am »
Ok, i've finally got it working. I built the main and contrib wx2.5 sources and then added the libs to the makefile library paths. It worked just fine afterwards, applying the wxSingleChoiceDialog patch in cbproject.cpp. The update script still did't work so i had to do it manually, and then add /usr/local/lib to the global library path.

I like the style of the IDE, well done! I've had some errors reported in the console though, i'll post any bugs if i find them.

Offline iKevin

  • Single posting newcomer
  • *
  • Posts: 6
    • http://
After Hours - Still no luck: "Aborted"
« Reply #6 on: March 16, 2005, 01:22:45 pm »
Hi All,

I just wanted to add that I will try to build codeblocks on Gentoo linux when the linux wiki is done.  With small children around, it may take a while but I will report back.

Kev